@echo off
memtst.exe 386 B480000 F15 O1024
if errorlevel = 13 goto PastEnd
if errorlevel = 12 goto PastEnd
if errorlevel = 11 goto PastEnd
if errorlevel = 10 goto PastEnd
play intro.fli 6
title.exe
if errorlevel = 0 goto Main
goto MenuError
:Main
menu.exe
if errorlevel = 100 goto exit
if errorlevel = 0 goto play
goto MenuError
:play
dungeon.exe f x
if errorlevel = 69 goto EndOfGame
if errorlevel 0 goto NoError
error.exe
goto exit
:NoError
goto Main
:EndOfGame
play the_end.fli 7
goto Main
:MenuError
vid.com
echo Internal Error.  Did you run Cyber Blaster from within the
echo Cyber Blaster directory?
goto PastEnd
:exit
vid.com
cb_share.exe
:PastEnd
